<link rel="stylesheet" type="text/css" href="css/style.css" />
<center><table width=400><tr><td><span class="header1">Skicka mail till maillistan</span>
<?php
	extract($_REQUEST);

	include("../scripts/sqlinfo.inc");
	if(!$submit){
?>
	<br><br>Härifrån skickar du mail till de som finns med på listan...<br>
	För att göra radbrytningar i mailet sätter du in \n<br>
	<form method="post" action="send_mail.php">
	<table border=0>
	<tr><td valign="top">Rubrik:</td><td><input type="text" name="rubrik"></td></tr>
	<tr><td valign="top">Meddelande:</td><td> <textarea name="mess"></textarea></td></tr>
	<tr><td> </td><td><input type="submit" name="submit" value="Skicka"></td></tr></table>
	</form><br>
	Just nu finns dessa med på listan (alla mail går dessutom till info@pyrot.com):<br>
<?php
	mysql_connect($host, $user, $pass);
	mysql_selectdb("pyrot");
	$result=mysql_query("SELECT COUNT(*) from maillista");
	if($r=mysql_fetch_array($result))
			printf("<br><b>Medlemmar i listan: %s</b><br>", $r[0]);
	$result=mysql_query("SELECT mail from maillista");
	if($r=mysql_fetch_array($result)){
		do{
			printf("%s<br>", $r["mail"]);
		}while($r=mysql_fetch_array($result));
	}
	else
		printf("Det finns inga medlemmar i databasen");
?>
<?php
	}else{
	mysql_connect($host, $user, $pass);
	mysql_selectdb("pyrot");
	$result=mysql_query("SELECT mail from maillista");
	if($r=mysql_fetch_array($result)){
		do{
			$bcc=$bcc.$r["mail"].",";
		}while($r=mysql_fetch_array($result));
		printf("Ditt mail:<br><b>%s</b><br>%s<br><br>Har skickats till förljande adresser: %s", $rubrik, $mess, $bcc);
		$mess=$mess."\n\n För att gå ur maillistan, gå till in på denna sida:\nhttp://www.pyrot.com/remove_maillist.php";
		mail("info@pyrot.com", "$rubrik", "$mess", "Bcc: $bcc\nFrom:\"Pyrotekniska Sällskapet vid LTU\" <info@pyrot.com>");
	}
	else
		printf("Error, fick inga adresser från databasen!");
	}?>
</td></tr></table></center>
